import torch.nn as nn
# import


class SafePolicyOptimization(nn.Module):
    def __init__(self, policy, qfn):
        super().__init__()
        self.policy = policy
        self.qfn = qfn

    def step(self, batch):
        pass

